<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MaterialManager.html">MaterialManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::MaterialManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a94dd6caf97604ba7ce310dd8f22dcb96">_arbitrateMissingTechniqueForActiveScheme</a>(Material *mat, unsigned short lodIndex, const Renderable *rend)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a1ac6bb3f714a00595342ac8266b4296b">_getActiveSchemeIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#aea9231e6fc04369c0440b16c65c8bb69">_getSchemeIndex</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a3e444d262c470c29153ec9ccf9c68668">_getSchemeName</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af1a871ac005af0be0b8c1857a4f8eea9">_notifyResourceLoaded</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a40769092850d5b296e1d1a9190631700">_notifyResourceTouched</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a54d1843a43aebb13542312cd17134e6a">_notifyResourceUnloaded</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a00bb3a6324cff9b1a572282d4c596b57">addImpl</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#aca25d5c0aca1f6b873725265b829cf1c">addListener</a>(Listener *l, const Ogre::String &amp;schemeName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a8316910598c9ceda62b3ec5be001d372">checkUsage</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac64c2b9c9dc775e05a81ff48d4293d4e">create</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a180628074c80bf03adcb4eecc8d0e711">createImpl</a>(const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader, const NameValuePairList *params)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a48c565d0e63b286c6388439ae73417df">createOrRetrieve</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a290b828b5d44637ee4d247a09ea81bd6">DEFAULT_SCHEME_NAME</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7913c36c02ef03007ff1a1c76ddf7710">destroyAllResourcePools</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aa8b761abb06d74347e9636550307ccd9">destroyResourcePool</a>(ResourcePool *pool)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a00a7fe59aaaa4acdfda07edc704516ee">destroyResourcePool</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#abe39c0b84f25cecb8c8f48d5072c8525">getActiveScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ab1c354fd2294c7c50b3f3e9ce42543f7">getByHandle</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a03f1bf557d381aca77797d9a44578067">getByName</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a5158b3c6cdae5725fcbeefcccf918390">getDefaultAnisotropy</a>() const </td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a9d1148e47eea7811683298dcee8e6e41">getDefaultSettings</a>(void) const </td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a30b676185d4757e19b1120fdeb2a0d0c">getDefaultTextureFiltering</a>(FilterType ftype) const </td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a917b69fbaf300dcb0488d14d357296df">getLoadingOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ae24629f37283bf777987aab6bc3fa110">getMemoryBudget</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a0458e4665975faed7311b05879dfac2f">getMemoryUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#adc9077f415314ebc0f7feb314b76d4d4">getNextHandle</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a4d3289d4636168230da11c1c9794db59">getResourceIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad18cc3f0a4b3e0553cfe715204f15359">getResourcePool</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a4a16604e10cd71957fcce705dead9a2c">getResourceType</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a37ec0e845f49b7f7e3dc868456ced1e8">getScriptPatterns</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a100f413d9d2316028e7ae740e5a43161">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a17b3b6ea6c91c7713769854606a58889">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af96b58b31c152a8ae3c6152ee3ea12e7">getVerbose</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a39d14d6f640b2dd089a16a9c0b149222">initialise</a>(void)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#accf900555046df5a6eddb6583b7afff4">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a0eb27e62d53ef50e25cee05ed8ecdf9c">ListenerMap</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad6d63fe7126510bf10fd337705cb0b29">load</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a5a6267d853cf944157e453afaa102f91">mActiveSchemeIndex</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a00cbcbc96a076d7debe2261365091e64">mActiveSchemeName</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#aef0e85acfedd02d09bc78829607725b9">MaterialManager</a>()</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a43b5ea54e882349f6ba1fa3aa5929367">mDefaultMagFilter</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#ae00a86199ee24546d57dd11d4042103e">mDefaultMaxAniso</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#addbab0e5fa33603827fb6910dc4da4fc">mDefaultMinFilter</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a35288d7732b90a5e663229bc7b11fc88">mDefaultMipFilter</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#ac2611431f6a1ab64ac9f490f3cd75c88">mDefaultSettings</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a960df545cc718f831e6da77bb3ff8e33">mListenerMap</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad26313df1d10e7953c90b7c37b373cf8">mLoadOrder</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7f0a00e183f455cdce1ec9152722f9b7">mMemoryBudget</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aaa9cfdfc994de65064ba2dbe08930de8">mMemoryUsage</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a70a84973505dc749acb913daef662f90">mNextHandle</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a00f151b76015e7e46cdb228cc3eaa53e">mResourcePoolMap</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac02278ff18455db85fa7473abad9688c">mResources</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af7ac79c874e49fadc3cd7e228ab640d8">mResourcesByHandle</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a3ea8cebb67199e6050d992036f3b4f3c">mResourcesWithGroup</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a86f8c21e087cb00a62d677ef1cd8131d">mResourceType</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#aa13083e7c3f5434196dc03ecf265b207">mSchemes</a></td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a450dcef1a87442bcfe848ff92c43c6b5">mScriptPatterns</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; MaterialManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a5113f20b1db6ddfb51dba652f24cd0f0">mVerbose</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#add25747b60d1a36a7f80757ee722441a">OGRE_THREAD_POINTER</a>(MaterialSerializer, mSerializer)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a7e3d13469f80b5814e20f9f959384119">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ae26b6ecd722f3e24b52de8b4ac9bba0d">prepare</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a860f0bcac1a4d152878855f9a85a58d3">reloadAll</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a22dbc50ba8fac0d3222a31ef1ef82dcd">reloadUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a8675d6b8c353783cf22c3872f7eaa818">remove</a>(ResourcePtr &amp;r)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#abfb0022b18d022a7605f0d19a966f00f">remove</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac22655af03ecea85d863a1d1d561778c">remove</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a6ff50fee06a678837cbeeea75e4372a5">removeAll</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7f5826bb4624b28bbe08f3c9fe88ee54">removeImpl</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a4b5a137bce8a61cdba104b1157848232">removeListener</a>(Listener *l, const Ogre::String &amp;schemeName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a6ce966e769770ce9f90d77eddc2c30a3">removeUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a9dcc9da5760fcd3b39b4566fe308ad6b">resourceExists</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ad9b4efbeacb17f07710c30bd5048e42f">resourceExists</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af6b68646abe6e9959072c1ece458ee55">ResourceHandleMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#ac373bd6fb2b37725970280e047d9efe4">ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a60ea46f69b1dd9c8e27b9b3d7bd5bc35">ResourceMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a4f7da59507a5a8550ea97615ff9afff0">ResourceMapIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a87899e8bec2f60ef1448d716a20db8e1">ResourcePoolMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#af1a46e6268002377bc95d3721d21aa92">ResourceWithGroupMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#ae2b29711f518d4ce69019f9c202ef036">SchemeMap</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a95decc3900f547bb68b74ba28d3013e0">setActiveScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a1441e706797bc1e791460b01432aa940">setDefaultAnisotropy</a>(unsigned int maxAniso)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a9626875e139f48903af4674b6e555125">setDefaultTextureFiltering</a>(TextureFilterOptions fo)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#a71bf725e4cbc904f4c7495cd92f98202">setDefaultTextureFiltering</a>(FilterType ftype, FilterOptions opts)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#ade1220f7e605c679356e6975e5e064dd">setDefaultTextureFiltering</a>(FilterOptions minFilter, FilterOptions magFilter, FilterOptions mipFilter)</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aa7bd4f02b31fba693d3bea6492fe20a8">setMemoryBudget</a>(size_t bytes)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#aa3ff9558e8fa8187f510472a58093b6f">setVerbose</a>(bool v)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; MaterialManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a2cf457c70ea86892b1bec52028c96237">unload</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a94962d0929fdc88c25d35672ff2c1ff0">unload</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#acaba96b1b4816457b03028eed9895789">unloadAll</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7b9ba584a17235f6eff9847b90ba895d">unloadUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialManager.html#aabb8080830988a13ac1ee7fa12898e39">~MaterialManager</a>()</td><td><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a2b2b134c38b4ead5ef13bd157fe2329a">~ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScriptLoader.html#ad7758f66fa9246639426f3044478f709">~ScriptLoader</a>()</td><td><a class="el" href="classOgre_1_1ScriptLoader.html">Ogre::ScriptLoader</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; MaterialManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
